summaryrefslogtreecommitdiff
path: root/doc/progs/update.bash
diff options
context:
space:
mode:
Diffstat (limited to 'doc/progs/update.bash')
-rwxr-xr-xdoc/progs/update.bash15
1 files changed, 15 insertions, 0 deletions
diff --git a/doc/progs/update.bash b/doc/progs/update.bash
new file mode 100755
index 000000000..d4ecfbeba
--- /dev/null
+++ b/doc/progs/update.bash
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+# Copyright 2012 The Go Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+set -e
+
+rm -f *.out *.rej *.orig [568].out
+
+for i in *.go; do
+ if grep -q '^// cmpout$' $i; then
+ echo $i
+ go run $i &> ${i/.go/.out}
+ fi
+done